curl --request GET \
--url https://api.vacademy.ai/catalog/v1/courses \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vacademy.ai/catalog/v1/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vacademy.ai/catalog/v1/courses"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "7c12a9ec-22c3-4c55-ada1-2a93e107816f",
"title": "Vedic Parenting - eBook",
"subtitle": "The forgotten mystery of the real meaning of parents!",
"image_url": "https://cdn.example.com/32aa2224-c7b1-46cf-b7ae-ebf1a37c5e34.png",
"url": "https://learning.brahmvarchas.org/store/7c12a9ec-22c3-4c55-ada1-2a93e107816f?enrollInviteId=5a975e3c-429f-4bfe-9143-43ffcf807748&packageSessionId=92e89046-5865-4cf7-bea6-ac1e8b7bd328&level=default",
"formats": [
{
"key": "ebook",
"label": "E-books"
}
],
"stream": {
"slug": "dharma",
"label": "Virtue | Civilisation"
},
"category": {
"slug": "vedic-parenting",
"label": "Holistic Parenting"
},
"languages": [
{
"code": "en",
"label": "English"
},
{
"code": "hi",
"label": "Hindi"
}
],
"tags": [
"english",
"dharma",
"vedic-parenting",
"format-ebook",
"for-parents",
"hindi"
],
"level": null,
"availability": "available",
"price_visible": true,
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false,
"varies": false
},
"instructors": [
{
"name": "Abhishek",
"image_url": null
}
],
"rating": null,
"created_at": "2026-09-22T09:05:02.499Z",
"variants": [
{
"package_session_id": "92e89046-5865-4cf7-bea6-ac1e8b7bd328",
"enroll_invite_id": "5a975e3c-429f-4bfe-9143-43ffcf807748",
"level": null,
"language": {
"code": "en",
"label": "English"
},
"url": "https://learning.brahmvarchas.org/store/7c12a9ec-22c3-4c55-ada1-2a93e107816f?enrollInviteId=5a975e3c-429f-4bfe-9143-43ffcf807748&packageSessionId=92e89046-5865-4cf7-bea6-ac1e8b7bd328&level=default",
"availability": "available",
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false
}
},
{
"package_session_id": "5c4fcbf5-851c-455c-90b4-f74217ded156",
"enroll_invite_id": "f2496594-7a63-47eb-8b22-a0af43e75fb6",
"level": null,
"language": {
"code": "hi",
"label": "Hindi"
},
"url": "https://learning.brahmvarchas.org/store/c150dfcf-96e0-4712-b709-b0528e1f4a09?enrollInviteId=f2496594-7a63-47eb-8b22-a0af43e75fb6&packageSessionId=5c4fcbf5-851c-455c-90b4-f74217ded156&level=default",
"availability": "available",
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false
}
}
]
},
{
"id": "c59a3aaf-f108-4567-a1a1-ff9231e83265",
"title": "Principles of Wellness for Maintaining Health",
"subtitle": "Ayurveda’s gift to Humankind",
"image_url": "https://cdn.example.com/62e9a4ef-c987-4435-afdb-69f9d02da31a.png",
"url": "https://learning.brahmvarchas.org/store/c59a3aaf-f108-4567-a1a1-ff9231e83265?enrollInviteId=d97c5422-dc40-4cf9-997a-8c82d6526681&packageSessionId=4a62ca67-11e2-46c3-bb64-608311b0a6ea&level=Swasthavritta",
"formats": [],
"stream": null,
"category": null,
"languages": [],
"tags": [
"ebook"
],
"level": "Swasthavritta",
"availability": "available",
"price_visible": true,
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false,
"varies": false
},
"instructors": [
{
"name": "Neha Biyani",
"image_url": null
}
],
"rating": null,
"created_at": "2026-10-14T20:47:05.450Z",
"variants": [
{
"package_session_id": "4a62ca67-11e2-46c3-bb64-608311b0a6ea",
"enroll_invite_id": "d97c5422-dc40-4cf9-997a-8c82d6526681",
"level": "Swasthavritta",
"language": null,
"url": "https://learning.brahmvarchas.org/store/c59a3aaf-f108-4567-a1a1-ff9231e83265?enrollInviteId=d97c5422-dc40-4cf9-997a-8c82d6526681&packageSessionId=4a62ca67-11e2-46c3-bb64-608311b0a6ea&level=Swasthavritta",
"availability": "available",
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false
}
}
]
}
],
"page": 1,
"page_size": 2,
"total": 34,
"has_more": true
}List courses
The institute’s published courses, one entry per course (language versions and levels are variants). Filters combine with AND. An unknown stream or category slug returns an empty page, not an error.
Scope: catalog:read. Cacheable for 60 s.
curl --request GET \
--url https://api.vacademy.ai/catalog/v1/courses \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vacademy.ai/catalog/v1/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vacademy.ai/catalog/v1/courses"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "7c12a9ec-22c3-4c55-ada1-2a93e107816f",
"title": "Vedic Parenting - eBook",
"subtitle": "The forgotten mystery of the real meaning of parents!",
"image_url": "https://cdn.example.com/32aa2224-c7b1-46cf-b7ae-ebf1a37c5e34.png",
"url": "https://learning.brahmvarchas.org/store/7c12a9ec-22c3-4c55-ada1-2a93e107816f?enrollInviteId=5a975e3c-429f-4bfe-9143-43ffcf807748&packageSessionId=92e89046-5865-4cf7-bea6-ac1e8b7bd328&level=default",
"formats": [
{
"key": "ebook",
"label": "E-books"
}
],
"stream": {
"slug": "dharma",
"label": "Virtue | Civilisation"
},
"category": {
"slug": "vedic-parenting",
"label": "Holistic Parenting"
},
"languages": [
{
"code": "en",
"label": "English"
},
{
"code": "hi",
"label": "Hindi"
}
],
"tags": [
"english",
"dharma",
"vedic-parenting",
"format-ebook",
"for-parents",
"hindi"
],
"level": null,
"availability": "available",
"price_visible": true,
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false,
"varies": false
},
"instructors": [
{
"name": "Abhishek",
"image_url": null
}
],
"rating": null,
"created_at": "2026-09-22T09:05:02.499Z",
"variants": [
{
"package_session_id": "92e89046-5865-4cf7-bea6-ac1e8b7bd328",
"enroll_invite_id": "5a975e3c-429f-4bfe-9143-43ffcf807748",
"level": null,
"language": {
"code": "en",
"label": "English"
},
"url": "https://learning.brahmvarchas.org/store/7c12a9ec-22c3-4c55-ada1-2a93e107816f?enrollInviteId=5a975e3c-429f-4bfe-9143-43ffcf807748&packageSessionId=92e89046-5865-4cf7-bea6-ac1e8b7bd328&level=default",
"availability": "available",
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false
}
},
{
"package_session_id": "5c4fcbf5-851c-455c-90b4-f74217ded156",
"enroll_invite_id": "f2496594-7a63-47eb-8b22-a0af43e75fb6",
"level": null,
"language": {
"code": "hi",
"label": "Hindi"
},
"url": "https://learning.brahmvarchas.org/store/c150dfcf-96e0-4712-b709-b0528e1f4a09?enrollInviteId=f2496594-7a63-47eb-8b22-a0af43e75fb6&packageSessionId=5c4fcbf5-851c-455c-90b4-f74217ded156&level=default",
"availability": "available",
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false
}
}
]
},
{
"id": "c59a3aaf-f108-4567-a1a1-ff9231e83265",
"title": "Principles of Wellness for Maintaining Health",
"subtitle": "Ayurveda’s gift to Humankind",
"image_url": "https://cdn.example.com/62e9a4ef-c987-4435-afdb-69f9d02da31a.png",
"url": "https://learning.brahmvarchas.org/store/c59a3aaf-f108-4567-a1a1-ff9231e83265?enrollInviteId=d97c5422-dc40-4cf9-997a-8c82d6526681&packageSessionId=4a62ca67-11e2-46c3-bb64-608311b0a6ea&level=Swasthavritta",
"formats": [],
"stream": null,
"category": null,
"languages": [],
"tags": [
"ebook"
],
"level": "Swasthavritta",
"availability": "available",
"price_visible": true,
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false,
"varies": false
},
"instructors": [
{
"name": "Neha Biyani",
"image_url": null
}
],
"rating": null,
"created_at": "2026-10-14T20:47:05.450Z",
"variants": [
{
"package_session_id": "4a62ca67-11e2-46c3-bb64-608311b0a6ea",
"enroll_invite_id": "d97c5422-dc40-4cf9-997a-8c82d6526681",
"level": "Swasthavritta",
"language": null,
"url": "https://learning.brahmvarchas.org/store/c59a3aaf-f108-4567-a1a1-ff9231e83265?enrollInviteId=d97c5422-dc40-4cf9-997a-8c82d6526681&packageSessionId=4a62ca67-11e2-46c3-bb64-608311b0a6ea&level=Swasthavritta",
"availability": "available",
"price": {
"amount": 251,
"compare_at_amount": null,
"currency": "INR",
"is_free": false
}
}
]
}
],
"page": 1,
"page_size": 2,
"total": 34,
"has_more": true
}Authorizations
Your publishable Catalogue API key (vak_pub_…).
Query Parameters
Case-insensitive substring of any version's title or any tag.
Stream slug from GET /streams.
Category slug from GET /streams (searched in stream when given, else in every stream).
Format key from GET /site.
A code from GET /site languages: keeps courses available in that language and shows that version. An unknown code matches nothing. Ignored when the site has course languages off.
One or more tags, comma-separated; a course matches if it has any of them (case-insensitive, whole tag).
Availability of the version shown.
available, coming_soon, not_started, closed 1-based page number.
x >= 1Courses per page.
1 <= x <= 100newest (by created_at, default), title, price_asc, price_desc (by the lowest price on sale now). Ties keep catalogue order.
newest, title, price_asc, price_desc